{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.developpement && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Base de données
    #pgadmin             # interface d'administration de postgres ***plus à jour, version openssl dépréciée***
    #sqlitebrowser       # interface d'administration de sqlite

    # Documentation
    #zeal                # consulter la documentation hors ligne

    # Gestion des sources
    #gitg               # interface pour utiliser git (historique, commit)
    gitstats            # génère un site web statique avec des statistiques
    git-cola            # interface pour utiliser git (historique, commit)

    ## Visualisation & outils de diff
    #gource              # visualisation en mouvement de l'historique git
    meld                # outil de comparaison graphique

    # Editeur texte
    atom
  ];
}
