{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.edition-photo && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Retouche, modification & dessin vectoriel
    gimp          # logiciel d'édition/montage/retouche photo
    inkscape      # édition d'image vectorielle (svg & autre)
    #rawtherapee  # développemen de photos en RAW

    # TEST d'outil de gestion de catalogue de photos
    #kde4.digikam  # gestionnaire de bibliothèque de photo
  ];
}
