{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.officeSuite {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Bureautique
    aspell aspellDicts.fr         # correction d'ortographe
    python39Packages.grammalecte  # correction gramatical

    # Gestion de tâche
    taskwarrior     # gestionnaire de tâches en console

    ## Convertisseurs (texte -> <autre format>)
    gnuplot       # générateur de graphes à partir de données numériques
    graphviz      # dot, neato : traçage de graphes (carré, rond)
    #jekyll       # générateur statique de site web
    #odpdown      # conversion md -> presentation ODP : https://github.com/thorstenb/odpdown
    pandoc
    #haskellPackages.pandoc-citeproc # ***BROKEN***
    texlive.combined.scheme-full # distribution LaTeX
    #texLive       # distribution LaTeX de base
    #texLiveBeamer # paquets et extensions pour Beamer
    #texLiveModerncv # paquets pour la classe Modern CV
  ];
}
