{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.developpement {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Build / outil de construction
    autobuild
    autoconf
    automake

    # Base de données
    pg_top                 # monitoring de PostgreSQL
    sqlite                 # le moteur de base de données

    # C / C++
    gcc                    # pour les appels depuis les scripts

    # Gestion des sources
    cloc                   # outil pour compter les lignes de code source
    mercurial
    subversion

    # spécification
    plantuml               # diagrammes UML et plus si affinité

    # Mono
    #mono46                # interpréteur .NET

    ## Visualisation & outils de diff
    #vbindiff              # diff de fichier hexadecimaux avec vim
  ];
}
