{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.xmonad {
  services.dbus.packages = with pkgs; [ dconf ];
  programs.dconf.enable = true;

  # Services
  services.xserver.windowManager.xmonad = {
    enable = true;
    enableContribAndExtras = true;
  };
  environment.variables = {
    _JAVA_AWT_WM_NONREPARENTING = "1";
  };
}
